## AgsCancelChannel

AgsCancelChannel — cancel channel task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsCancelChannel * | ags_cancel_channel_new ()

## Properties

AgsChannel * | channel | Read / Write
int | sound-scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsCancelChannel

## Includes

    #include <ags/audio/task/ags_cancel_channel.h>

## Description

The AgsCancelChannel task cancels AgsChannel playback.

## Functions

### ags_cancel_channel_new ()

    AgsCancelChannel *
    ags_cancel_channel_new (AgsChannel *channel,
                            gint sound_scope);

Create a new instance of AgsCancelChannel.

#### Parameters

channel | the AgsChannel to cancel |
sound_scope | the AgsSoundScope or -1 for all |

#### Returns

the new AgsCancelChannel.

Since: 3.0.0

## Property Details

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsCancelChannel

Flags: Read / Write

Since: 3.0.0

### The `“sound-scope”` property

      “sound-scope”              int

The effects sound-scope.

Owner: AgsCancelChannel

Flags: Read / Write

Allowed values: [-1,5]

Default value: -1

Since: 3.0.0